VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "NodeList"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
'*
'*      Copyright (c) 2000, 2001 Mihayl Stamenov <michael.stamenov@web.de>
'*
'* This program is free software; you can redistribute it and/or modify
'* it under the terms of the GNU General Public License as published by
'* the Free Software Foundation; either version 2, or (at your option)
'* any later version.
'*
'* This program is distributed in the hope that it will be useful,
'* but WITHOUT ANY WARRANTY; without even the implied warranty of
'* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'* GNU General Public License for more details.
'*
'* You should have received a copy of the GNU General Public License
'* along with this program; see the file COPYING.  If not, write to
'* the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
'*

'===============================================================================
' Name: NodeList
' Purpose: The NodeList object supports indexed access to a collection of nodes.
' Remarks: Does not implement all properties, methods and events of the
'   corresponding MSXML class IXMLDOMNodeList.
' Functions:
' Properties:
' Methods:
' Started: 30.02.2001
' Modified: 30.02.2001
'===============================================================================
Option Explicit

'===============================================================================
' Name: Sub setOwnerDocument
' Input:
'   ByRef doc As Document - Specifies reference to the document object.
' Output:
'   None
' Purpose: Sets the reference to the owner document object.
' Remarks: None
'===============================================================================
Friend Sub setOwnerDocument(ByRef doc As Document)
End Sub

'===============================================================================
' Name: Sub setQueryString
' Input:
'   ByVal strQueryString As String - Specifies the SQL query string used for
' selecting colection elements.
' Output:
'   None
' Purpose: Sets the SQL query string used for element selection.
' Remarks: None
'===============================================================================
Friend Sub setQueryString(ByVal strQueryString As String)
End Sub

'===============================================================================
' Name: Sub setTag
' Input:
'   ByVal strTagName As String - Specifies the name of the elements in
' the collection.
' Output:
'   None
' Purpose: Sets the name of the elements in the collection.
' Remarks: Corresponds to the table name.
'===============================================================================
Friend Sub setTag(ByVal strTagName As String)
End Sub

'===============================================================================
' Name: Get length
' Input:
'   None
' Output:
'   Long - The number of nodes in the collection
' Purpose: Returns the number of nodes in the collection.
' Remarks: None
'===============================================================================
Public Property Get length() As Long
End Property

'===============================================================================
' Name: Get item
' Input:
'   ByVal index As Long - Specifies the index of the node to return.
' Output:
'   Element - Reference to the element of the collection with index <b>index</b>.
' Purpose: Returns reference to a node by index.
' Remarks: None
'===============================================================================
Public Property Get item(ByVal index As Long) As Element
Attribute item.VB_UserMemId = 0
End Property

'===============================================================================
' Name: Sub load
' Input:
'   None
' Output:
'   None
' Purpose: Loads the internal collection of with the IDs of the collection
'   elements.
' Remarks: None
'===============================================================================
Private Sub load()
End Sub

'===============================================================================

